
% Complex AQB step size calculation.
% 2012 Even Brenden

function [delta] = caqb_delta_calc(prev_y, prev_delta, bits, alpha, nu)

delta = prev_y/prev_delta;
delta = delta^2;
delta = (1-alpha)*(nu^2)*delta+alpha;
delta = sqrt(delta);
delta = prev_delta*delta;