
% Complex AQB encoder.
% 2012 Even Brenden

function [codeword, delta] = caqb_encoder(x, delta, bits)

% Quantization.
codeword=floor(x/delta);
codeword+=2^(bits-1);

% Limit codeword size
if(codeword<0)
	codeword=0;
else
	codeword=min(codeword, 2^(bits)-1);
end