
% Sample-by-sample DPCM decoder.
% 2011 Even Brenden

function [s_, s_hat_hist, s_tilde_hist] = dpcm_dec(e, a, s_hat_hist, s_tilde_hist)

        p = length(a);

        s_tilde = [s_tilde_hist 0];

        s_tilde(p)=e+s_hat_hist;
        s_hat_hist=0;

        for k=1:p
                s_hat_hist+=a(k)*s_tilde(p-k+1);
        end

	s_ = s_tilde(p);
        s_tilde_hist = s_tilde(2:end);
end
