
% Script for drawing mu-law companding curve.
% 2012 Even Brenden

clear all

x = [-1:1/100:1];

mu=255;
mu_law = log(1+mu.*abs(x))/log(1+mu);
mu_law(1:length(x)/2)*=-1;

%A=87.7;
%for i=1:length(x)
%	if abs(x)<1/A
%		a_law = (A*abs(x))/(1+log(A));
%	else
%		a_law = (1+log(A*abs(x)))/(1+log(A));
%	end
%end
%a_law(1:length(x)/2)*=-1;
%a_law(100:101)=x(100:101);

close all
figure
plot(x, x, 'k'	);
hold on;
plot(x, mu_law, 'r');
xlabel('Input amplitude');
ylabel('Output amplitude');
legend('Linear amplitude mapping', 'Companded amplitude mapping');
legend('Location', 'NorthWest');
legend('boxon');

print 'companding.eps' '-deps'