
% One-word-memory AQB encoder side.
% 2012 Even Brenden

function [codeword] = maqb_encoder(x, delta, bits)

% Quantization.
codeword=floor(x/delta);

% Limit codeword size
codeword=max(codeword, -2^(bits-1));
codeword=min(codeword, 2^(bits-1)-1);