
/*
	Q15.16 type.
	2011 Even Brenden
*/

#ifndef Q16
#define Q16_H

#include <stdint.h>

#define Q16 int32_t
#define Q16_MAX_SMP 0xFFFFL;
#define Q16MAX 0x7FFFFFFFL
#define Q16MIN 0x80000000L
#define Q16_SMALLEST 0x1L
#define Q16_256 0x1000000L
#define Q16_128 0x800000L
#define Q16_127 0x7FFFFFL
#define Q16_16 0x100000L
#define Q16_4 0x40000L
#define Q16_2 0x20000L
#define Q16_1 0x10000L
#define Q16_0P9 0xE666L
#define Q16_0P5 0x8000L
#define Q16_M0P5 0xFFFF8000L
#define Q16_M1 0xFFFF0000L
#define Q16_9TH_BIT 0x100L
#define Q16_LOWER_16_BITS 0xFFFFL
#define Q16_LOWER_17_BITS 0x1FFFFL
#define Q16_LOWER_8_BITS 0xFFL
#define Q16_LOWER_4_BITS 0x0FL
#define Q16_LOWER_2_BITS 0x03L
#define Q16_0 0x00L;

#include <stdint.h>

Q16 MAKEQ16(uint32_t sign, uint32_t integer, uint32_t fraction);
Q16 ADDQ16(Q16 a, Q16 b);
Q16 TOGQ16(Q16 a);
Q16 SUBQ16(Q16 a, Q16 b);
Q16 MULQ16(Q16 a, Q16 b);
Q16 DIVQ16(Q16 a, Q16 b);
Q16 SQTQ16(Q16 number);
Q16 INTQ16(Q16 number);
Q16 FRAQ16(Q16 number);

#endif

