
/* 
	Levinson-Durbin algorithm. Reflection coefficients are not calulated. LPCs are flipped at the end wrt. usage. 
	2011 Even Brenden. Rewritten from http://kbs.cs.tu-berlin.de/~jutta/gsm/lpc.html. 
*/ 

#ifndef _LD_h_
#define _LD_h_

#include "nrf.h"
#include "Q16.h"
#include "config.h"

Q16 levinson_durbin_Q16(Q16 *ac, Q16 *lpc);

#endif
