
#ifndef RX_H
#define RX_H

#include <stdint.h>
#include <stdbool.h>
#include <string.h>
#include "nrf.h"
#include "nrf_delay.h"
#include "radio_config.h"
#include "uart.h"
#include "Q16.h"
#include "maths.h"
#include "config.h"

#ifndef USE_GZLL
	
	void rx_init(void);
	void buffer_up_rx_packet(void);
	bool rx_next_packet_is_ready(void);
	void fetch_new_codewords(int32_t *codewords);
	void unpack_packet(uint8_t *packet, int32_t *codewords);
	
	#ifdef NO_RF
		void set_rx_packet(uint8_t *packet);
	#endif
	
#endif

#endif
