
#ifndef TX_H
#define TX_H

#include <stdint.h>
#include <stdbool.h>
#include <string.h>
#include "nrf.h"
#include "nrf_delay.h"
#include "radio_config.h"
#include "config.h"
#include "uart.h"
#include "maths.h"
#include "Q16.h"

#ifndef USE_GZLL
	
	void tx_init(void);
	void pack_side_info(uint32_t sbits, Q16* lpc);
	void pack_codeword(int32_t *codeword);
	
	#ifdef NO_RF
		bool tx_next_packet_is_ready(void);
		uint8_t *get_tx_packet(void);
	#endif
	
#endif

#endif
