
#ifndef UART_H
#define UART_H

#include <stdint.h>
#include "nrf.h"

void uart_put(uint8_t cr);
uint8_t uart_get(void);
void uart_quit(void);
void uart_start(void);
void uart_config(void);
void uart_put32(int32_t cr);
int32_t uart_get32(void);
void uart_put16(int16_t cr);
int16_t uart_get16(void);

#endif
