
/* 	System configuration file.
	2012 Even Brenden.
*/

#ifndef CONFIG
#define CONFIG

#define N 				1	/* Optional block processing. */
#define DBITS			4	/* Quantizer bit depth. */
#define ADPCM				/* Use ADPCM instead of DPCM. */
#define SSM_AQB				/* Use one-word-memory AQB instead of complex AQB. */
#define NR					/* Use noise reduction or bypass. */
#define COMP				/* Use compression or bypass. */

#define P 				1
#define A_1				Q16_0P9
#define ALPHA 			Q16_0P9
#define DELTA_MIN		0x1
#define DELTA_MAX		(1<<(16-DBITS+1))
#define AQB_CONST_Q16 	0x2001
#define INPUT_SAMPLE_FORMAT int16_t

#define FILENAME_IN ""
#define FILENAME_OUT  ""
#define FILENAME_LOG "C_tests_log.txt"

#endif
