
/*
	Levinson-Durbin algorithm. Reflection coefficients are not calulated. LPCs are flipped at the end wrt. usage.
	2011 Even Brenden. Rewritten from http://kbs.cs.tu-berlin.de/~jutta/gsm/lpc.html.
*/

#ifndef _LD_h_
#define _LD_h_

#include "Q16.h"

float levinson_durbin(uint8_t p, float const * ac,  float * lpc);
Q16 levinson_durbin_Q16(uint8_t p, Q16 *ac, Q16 *lpc);

#endif
