
#ifndef MAQB_H
#define MAQB_H

#include <stdint.h>
#include <stdlib.h>
#include "maths.h"
#include "Q16.h"
#include "config.h"

void maqb_Q16(Q16 *prev_delta, int32_t *prev_codeword, Q16 *delta);
void maqb_encode_Q16(Q16 x, Q16 *delta, int32_t *codeword);
void maqb_decode_Q16(Q16 *delta, int32_t *codeword, Q16 *y);

const Q16 M4[8] = 	{	0xEAAA,
						0xEAAA,
						0xEAAA,
						0xEAAA,
						0x13333,
						0x19999,
						0x20000,
						0x23333
 					};

const Q16 M3[4] = 	{	0xE666,
						0xEAAA,
						0x13333,
						0x20000
					};

const Q16 M2[2] = 	{	0xEAAA,
						0x13333
					};

#endif

