
% Sample-by-sample DPCM encoder.
% 2011 Even Brenden

function [d x_hat_hist x_tilde_hist] = dpcm_enc_q(x, p, a, bits, scale, x_hat_hist, x_tilde_hist)

        if nargin > 5
                x_tilde = [x_tilde_hist 0];
        else
                x_tilde=zeros(1, p);
        end
       
        d=midrise_q(x-x_hat_hist, bits, scale);
        x_tilde(p)=d+x_hat_hist;

        x_hat_hist=0;
        for k=1:p
                x_hat_hist+=a(k)*x_tilde(p-k+1);
        end

        x_tilde_hist = x_tilde(2:end);
end
