
/* 
	ADPCM encoder and decoder, not including LPC calculation.
	2011 Even brenden
*/

#ifndef ADPCM_H
#define ADPCM_H

#include <stdint.h>
#include <stdlib.h>
#include "Q16.h"
#include "adpcm.h"
#include "midrise.h"
#include "maths.h"
#include "config.h"
#include "aqb.h"
#include "maqb.h"
#include "uart.h"

void adpcm_init(void);
void adpcm_encode_Q16(Q16 *x, Q16 *a, int32_t *codeword);
void adpcm_decode_Q16(int32_t *codeword, Q16 *a, Q16 *y);

void dpcm_init(void);
void dpcm_encode_Q16(Q16 *x, Q16 *a, Q16 *d);
void dpcm_decode_Q16(Q16 *x, Q16 *a, Q16 *d);

#endif

 
