
/*
	Midtread quantizer.
	2011 Even Brenden
*/	

#include "midrise.h"
#include "maths.h"

void midrise_Q16(Q16 input, Q16 *result, int32_t *codeword) {
	
	#ifdef PROFILE
		NRF_GPIO->OUTSET = (Q_PIN);
	#endif

	/* Truncate. */
	*result = (input>>SHIFT)<<SHIFT;
	*codeword = (*result+Q16_1)>>SHIFT;
	
	/* Limit. */
	if ((*codeword)>(1<<DBITS))
		*codeword=(1<<DBITS);
	else if ((*codeword)<0UL)
		*codeword=0UL;
	
	#ifdef PROFILE
		NRF_GPIO->OUTCLR = (Q_PIN);
	#endif
}

