
/*
	All aspects of encoding and decoding.
	2011 Even Brenden
*/

#ifndef CODING
#define CODING

#include <stdint.h>
#include "Q16.h"

void init_coder_Q16();
void init_coder();
void encode_Q16(Q16 *samples, Q16 *a, Q16 *residue);
void decode_Q16(Q16 *residue, Q16 *a, Q16 *decoded);
void encode_float(float *samples, float *a, float *residue);
void decode_float(float *residue, float *a, float *decoded);

void init_aqb_coder_Q16();
void adaptive_encode_Q16(Q16 *samples, Q16 *a, int32_t *codewords);
void adaptive_decode_Q16(int32_t *codewords, Q16 *a, Q16 *decoded);

#endif

